# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"f648d280-aaa8-5ea1-b73b-5714fa41f508",
   "name":"lx-music-desktop 2.7.0",
   "version":"2.7.0",
   "install_date":"",
   "install_location":"",
   "uninstall_string":"\"C:\\Program Files\\lx-music-desktop\\Uninstall lx-music-desktop.exe\" /allusers",
   "publisher":"lyswhut",
   "system_component":0,
   "win64":true
  }
"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('lx-music-desktop-*-x64-Setup.exe')[0]
    # Installing the software
    
    install_exe_if_needed(bin_name,
        silentflags='/S /allusers',
        key='f648d280-aaa8-5ea1-b73b-5714fa41f508',
        min_version=control.get_software_version(),
    )



